Package org.apache.velocity.runtime

# Interface RuntimeConstants

All Superinterfaces:
  `DeprecatedRuntimeConstants`

All Known Implementing Classes:
  `RuntimeInstance`, `RuntimeSingleton`, `Velocity`, `VelocityEngine`

public interface RuntimeConstants extends DeprecatedRuntimeConstants
This class defines the keys that are used in the velocity.properties file so that they can be referenced as a constant within Java code.

Version:
  $Id$
Author:
  Jon S. Stevens, Geir Magnusson Jr., Jason van Zyl

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`RuntimeConstants.SpaceGobbling`
Space gobbling modes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHECK_EMPTY_OBJECTS`
An empty object (string, collection) or zero number is false.
`static final String`
`CONTEXT_AUTOREFERENCE_KEY`
Key upon which a context should be accessible within itself
`static final String`
`CONTEXT_SCOPE_CONTROL`
Used to enable or disable a scope control (false by default): `context.scope_control.<scope_name> = true/false` where scope_name is one of: `template, evaluate, foreach, macro, define` or the name of a body macro.
`static final String`
`CONVERSION_HANDLER_CLASS`
key for Conversion Manager class
`static final String`
`CONVERSION_HANDLER_INSTANCE`
key for Conversion Manager instance
`static final String`
`CUSTOM_DIRECTIVES`
Vector of custom directives
`static final String`
`DEFAULT_PARSER_CLASS`
Default parser class
`static final String`
`DEFAULT_RUNTIME_DIRECTIVES`
Default Runtime properties.
`static final String`
`DEFAULT_RUNTIME_LOG_NAME`
externally provided logger name.
`static final String`
`DEFAULT_RUNTIME_PROPERTIES`
Default Runtime properties.
`static final String`
`DEFINE_DIRECTIVE_MAXDEPTH`
Maximum recursion depth allowed for the #define directive.
`static final String`
`DS_RESOURCE_LOADER_DATASOURCE`
Deprecated.
Use `DS_RESOURCE_LOADER_DATASOURCE_URL` instead.
`static final String`
`DS_RESOURCE_LOADER_DATASOURCE_URL`
Datasource loader datasource url
`static final String`
`DS_RESOURCE_LOADER_KEY_COLUMN`
Datasource loader template key column
`static final String`
`DS_RESOURCE_LOADER_STMT_POOL_MAX_SIZE`
Datasource loader statements pool max size
`static final String`
`DS_RESOURCE_LOADER_TABLE`
Datasource loader templates table
`static final String`
`DS_RESOURCE_LOADER_TEMPLATE_COLUMN`
Datasource loader template content column
`static final String`
`DS_RESOURCE_LOADER_TIMESTAMP_COLUMN`
Datasource loader template timestamp column
`static final String`
`ENCODING_DEFAULT`
Default Encoding is UTF-8.
`static final String`
`ERRORMSG_END`
Deprecated.
if/how errors are displayed is not the concern of the engine, which should throw in all cases
`static final String`
`ERRORMSG_START`
Deprecated.
if/how errors are displayed is not the concern of the engine, which should throw in all cases
`static final String`
`EVENTHANDLER_INCLUDE`
The `event_handler.include.class` property specifies a list of the `IncludeEventHandler` implementations to use.
`static final String`
`EVENTHANDLER_INVALIDREFERENCES`
The `event_handler.invalid_references.class` property specifies a list of the `InvalidReferenceEventHandler` implementations to use.
`static final String`
`EVENTHANDLER_INVALIDREFERENCES_NULL`
The `event_handler.invalid_references.null` property specifies if invalid null references (aka the value is present in the context or parent object but is null or a method returned null) trigger invalid reference events (defaults to false).
`static final String`
`EVENTHANDLER_INVALIDREFERENCES_QUIET`
The `event_handler.invalid_references.quiet` property specifies if invalid quiet references (as in `$!foo`) trigger events (defaults to false).
`static final String`
`EVENTHANDLER_INVALIDREFERENCES_TESTED`
The `event_handler.invalid_references.tested` property specifies if invalid tested references (as in `#if($foo)` ) trigger invalid reference events (defaults to false).
`static final String`
`EVENTHANDLER_METHODEXCEPTION`
The `event_handler.method_exception.class` property specifies a list of the `MethodExceptionEventHandler` implementations to use.
`static final String`
`EVENTHANDLER_REFERENCEINSERTION`
The `event_handler.reference_insertion.class` property specifies a list of the `ReferenceInsertionEventHandler` implementations to use.
`static final String`
`FILE_RESOURCE_LOADER_CACHE`
The public handle for turning the caching on in the FileResourceLoader.
`static final String`
`FILE_RESOURCE_LOADER_PATH`
The public handle for setting paths in the FileResourceLoader.
`static final String`
`IMMUTABLE_RANGES`
Switch for the immutability of integer ranges.
`static final String`
`INPUT_ENCODING`
The default character encoding for the templates.
`static final String`
`INTERPOLATE_STRINGLITERALS`
Switch for the interpolation facility for string literals.
`static final String`
`INTROSPECTOR_RESTRICT_CLASSES`
A comma separated list of classes to restrict access to in the SecureIntrospector.
`static final String`
`INTROSPECTOR_RESTRICT_PACKAGES`
A comma separated list of packages to restrict access to in the SecureIntrospector.
`static final String`
`MAX_NUMBER_LOOPS`
Maximum allowed number of loops.
`static final int`
`NUMBER_OF_PARSERS`
The default number of parser instances to create.
`static final String`
`PARSE_DIRECTIVE_MAXDEPTH`
Maximum recursion depth allowed for the #parse directive.
`static final String`
`PARSER_CLASS`
Property specifying the parser class to use
`static final String`
`PARSER_HYPHEN_ALLOWED`
Allow hyphen in identifiers (backward compatibility option)
`static final String`
`PARSER_POOL_CLASS`
The `parser.pool.class` property specifies the name of the `SimplePool` implementation to use.
`static final String`
`PARSER_POOL_SIZE`
`static final String`
`PROVIDE_SCOPE_CONTROL`
Deprecated.
use `context.scope_control.<scope_name> = true/false`
`static final String`
`RESOURCE_LOADER`
Key prefix for a specific resource loader properties
`static final String`
`RESOURCE_LOADER_CACHE`
Resource loader cache property suffix
`static final String`
`RESOURCE_LOADER_CHECK_INTERVAL`
Resource loader modification check interval property suffix
`static final String`
`RESOURCE_LOADER_CLASS`
Resource loader class property suffix
`static final String`
`RESOURCE_LOADER_IDENTIFIER`
token used to identify the loader internally.
`static final String`
`RESOURCE_LOADER_INSTANCE`
Resource loader instance property suffix
`static final String`
`RESOURCE_LOADER_PATHS`
File resource loader paths property suffix
`static final String`
`RESOURCE_LOADERS`
Key used to retrieve the names of the resource loaders to be used.
`static final String`
`RESOURCE_MANAGER_CACHE_CLASS`
The `resource.manager.cache.class` property specifies the name of the `ResourceCache` implementation to use.
`static final String`
`RESOURCE_MANAGER_CLASS`
The `resource.manager.class` property specifies the name of the `ResourceManager` implementation to use.
`static final String`
`RESOURCE_MANAGER_DEFAULTCACHE_SIZE`
The `resource.manager.cache.size` property specifies the cache upper bound (if relevant).
`static final String`
`RESOURCE_MANAGER_INSTANCE`
The `resource.manager.instance` property specifies an existing instance of a `ResourceManager` implementation to use
`static final String`
`RESOURCE_MANAGER_LOGWHENFOUND`
controls if the finding of a resource is logged.
`static final String`
`RUNTIME_LOG_INSTANCE`
externally provided logger.
`static final String`
`RUNTIME_LOG_METHOD_CALL_LOG_INVALID`
Logging of invalid method calls.
`static final String`
`RUNTIME_LOG_NAME`
externally provided logger name.
`static final String`
`RUNTIME_LOG_REFERENCE_LOG_INVALID`
Logging of invalid references.
`static final String`
`RUNTIME_LOG_TRACK_LOCATION`
Whether to:
`static final String`
`RUNTIME_REFERENCES_STRICT`
Properties referenced in the template are required to exist the object
`static final String`
`RUNTIME_REFERENCES_STRICT_ESCAPE`
Indicates we are going to use modified escape behavior in strict mode
`static final String`
`RUNTIME_STRING_INTERNING`
Whether to use string interning.
`static final String`
`SKIP_INVALID_ITERATOR`
Whether to throw an exception or just skip bad iterables.
`static final String`
`SPACE_GOBBLING`
Space gobbling mode
`static final String`
`STRICT_MATH`
Switch for ignoring nulls in math equations vs throwing exceptions.
`static final String`
`UBERSPECT_CLASSNAME`
key name for uberspector.
`static final String`
`VM_ARGUMENTS_STRICT`
if true, throw an exception for wrong number of arguments
`static final String`
`VM_BODY_REFERENCE`
Defines name of the reference that can be used to get the AST block passed to block macro calls.
`static final String`
`VM_ENABLE_BC_MODE`
This flag enable the 1.7 backward compatible mode for velocimacros (defaults to false): preserve argument literals: when displaying null or invalid non-quiet references, use the argument literal reference instead of the one in the macro block.
`static final String`
`VM_LIBRARY`
Filename of local Velocimacro library template.
`static final String`
`VM_LIBRARY_AUTORELOAD`
switch for autoloading library-sourced VMs (for development).
`static final String`
`VM_LIBRARY_DEFAULT`
Default Velocimacro library template.
`static final String`
`VM_MAX_DEPTH`
Specify the maximum depth for macro calls
`static final String`
`VM_MESSAGES_ON`
Deprecated.
since 2.1
`static final String`
`VM_PERM_ALLOW_INLINE`
boolean (true/false) default true: allow inline (in-template) macro definitions.
`static final String`
`VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL`
boolean (true/false) default false: allow inline (in-template) macro definitions to replace existing.
`static final String`
`VM_PERM_INLINE_LOCAL`
Switch for forcing inline macros to be local: default false.

### Fields inherited from interface org.apache.velocity.runtime.DeprecatedRuntimeConstants

`OLD_CHECK_EMPTY_OBJECTS, OLD_CONTEXT_AUTOREFERENCE_KEY, OLD_CONVERSION_HANDLER_CLASS, OLD_CUSTOM_DIRECTIVES, OLD_DEFINE_DIRECTIVE_MAXDEPTH, OLD_DS_RESOURCE_LOADER_DATASOURCE, OLD_DS_RESOURCE_LOADER_KEY_COLUMN, OLD_DS_RESOURCE_LOADER_TEMPLATE_COLUMN, OLD_DS_RESOURCE_LOADER_TIMESTAMP_COLUMN, OLD_ERRORMSG_END, OLD_ERRORMSG_START, OLD_EVENTHANDLER_INCLUDE, OLD_EVENTHANDLER_INVALIDREFERENCES, OLD_EVENTHANDLER_METHODEXCEPTION, OLD_EVENTHANDLER_REFERENCEINSERTION, OLD_FILE_RESOURCE_LOADER_CACHE, OLD_FILE_RESOURCE_LOADER_PATH, OLD_INPUT_ENCODING, OLD_INTERPOLATE_STRINGLITERALS, OLD_MAX_NUMBER_LOOPS, OLD_PARSE_DIRECTIVE_MAXDEPTH, OLD_RESOURCE_LOADER_CHECK_INTERVAL, OLD_RESOURCE_LOADERS, OLD_RESOURCE_MANAGER_DEFAULTCACHE_SIZE, OLD_RESOURCE_MANAGER_LOGWHENFOUND, OLD_RUNTIME_LOG_REFERENCE_LOG_INVALID, OLD_RUNTIME_REFERENCES_STRICT, OLD_RUNTIME_REFERENCES_STRICT_ESCAPE, OLD_SKIP_INVALID_ITERATOR, OLD_SPACE_GOBBLING, OLD_STRICT_MATH, OLD_UBERSPECT_CLASSNAME, OLD_VM_BODY_REFERENCE, OLD_VM_ENABLE_BC_MODE, OLD_VM_LIBRARY, OLD_VM_LIBRARY_DEFAULT, OLD_VM_MAX_DEPTH, OLD_VM_PERM_ALLOW_INLINE, OLD_VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL, OLD_VM_PERM_INLINE_LOCAL`

## Field Details

### RUNTIME_LOG_INSTANCE

static final String RUNTIME_LOG_INSTANCE
externally provided logger.

See Also:
  - Constant Field Values

### RUNTIME_LOG_NAME

static final String RUNTIME_LOG_NAME
externally provided logger name.

See Also:
  - Constant Field Values

### RUNTIME_LOG_REFERENCE_LOG_INVALID

static final String RUNTIME_LOG_REFERENCE_LOG_INVALID
Logging of invalid references.

See Also:
  - Constant Field Values

### RUNTIME_LOG_METHOD_CALL_LOG_INVALID

static final String RUNTIME_LOG_METHOD_CALL_LOG_INVALID
Logging of invalid method calls.

See Also:
  - Constant Field Values

### RUNTIME_LOG_TRACK_LOCATION

static final String RUNTIME_LOG_TRACK_LOCATION

Whether to:

- populate slf4j's MDC with location in template file
- display VTL stack trace on errors

Since:
  2.2
See Also:
  - Constant Field Values

### MAX_NUMBER_LOOPS

static final String MAX_NUMBER_LOOPS
Maximum allowed number of loops.

See Also:
  - Constant Field Values

### SKIP_INVALID_ITERATOR

static final String SKIP_INVALID_ITERATOR
Whether to throw an exception or just skip bad iterables. Default is true.

Since:
  1.6
See Also:
  - Constant Field Values

### CHECK_EMPTY_OBJECTS

static final String CHECK_EMPTY_OBJECTS
An empty object (string, collection) or zero number is false.

Since:
  2.0
See Also:
  - Constant Field Values

### ERRORMSG_START

static final String ERRORMSG_START
Deprecated.
if/how errors are displayed is not the concern of the engine, which should throw in all cases
Starting tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

See Also:
  - Constant Field Values

### ERRORMSG_END

static final String ERRORMSG_END
Deprecated.
if/how errors are displayed is not the concern of the engine, which should throw in all cases
Ending tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

See Also:
  - Constant Field Values

### PARSE_DIRECTIVE_MAXDEPTH

static final String PARSE_DIRECTIVE_MAXDEPTH
Maximum recursion depth allowed for the #parse directive.

See Also:
  - Constant Field Values

### DEFINE_DIRECTIVE_MAXDEPTH

static final String DEFINE_DIRECTIVE_MAXDEPTH
Maximum recursion depth allowed for the #define directive.

See Also:
  - Constant Field Values

### PROVIDE_SCOPE_CONTROL

@Deprecated static final String PROVIDE_SCOPE_CONTROL
Deprecated.
use `context.scope_control.<scope_name> = true/false`
Used to suppress various scope control objects (property suffix).

Since:
  1.7
See Also:
  - `CONTEXT_SCOPE_CONTROL`
  - Constant Field Values

### CONTEXT_SCOPE_CONTROL

static final String CONTEXT_SCOPE_CONTROL
Used to enable or disable a scope control (false by default): `context.scope_control.<scope_name> = true/false` where scope_name is one of: `template, evaluate, foreach, macro, define` or the name of a body macro.

Since:
  2.1
See Also:
  - Constant Field Values

### CUSTOM_DIRECTIVES

static final String CUSTOM_DIRECTIVES
Vector of custom directives

See Also:
  - Constant Field Values

### RESOURCE_MANAGER_INSTANCE

static final String RESOURCE_MANAGER_INSTANCE
The `resource.manager.instance` property specifies an existing instance of a `ResourceManager` implementation to use

See Also:
  - Constant Field Values

### RESOURCE_MANAGER_CLASS

static final String RESOURCE_MANAGER_CLASS
The `resource.manager.class` property specifies the name of the `ResourceManager` implementation to use.

See Also:
  - Constant Field Values

### RESOURCE_MANAGER_CACHE_CLASS

static final String RESOURCE_MANAGER_CACHE_CLASS
The `resource.manager.cache.class` property specifies the name of the `ResourceCache` implementation to use.

See Also:
  - Constant Field Values

### RESOURCE_MANAGER_DEFAULTCACHE_SIZE

static final String RESOURCE_MANAGER_DEFAULTCACHE_SIZE
The `resource.manager.cache.size` property specifies the cache upper bound (if relevant).

See Also:
  - Constant Field Values

### RESOURCE_MANAGER_LOGWHENFOUND

static final String RESOURCE_MANAGER_LOGWHENFOUND
controls if the finding of a resource is logged.

See Also:
  - Constant Field Values

### RESOURCE_LOADERS

static final String RESOURCE_LOADERS
Key used to retrieve the names of the resource loaders to be used. In a properties file they may appear as the following:

resource.loaders = file,classpath

See Also:
  - Constant Field Values

### RESOURCE_LOADER

static final String RESOURCE_LOADER
Key prefix for a specific resource loader properties

resource.loader.file.path = ...

See Also:
  - Constant Field Values

### FILE_RESOURCE_LOADER_PATH

static final String FILE_RESOURCE_LOADER_PATH
The public handle for setting paths in the FileResourceLoader. (this constant is used by test cases only)

See Also:
  - Constant Field Values

### FILE_RESOURCE_LOADER_CACHE

static final String FILE_RESOURCE_LOADER_CACHE
The public handle for turning the caching on in the FileResourceLoader.

See Also:
  - Constant Field Values

### RESOURCE_LOADER_CLASS

static final String RESOURCE_LOADER_CLASS
Resource loader class property suffix

See Also:
  - Constant Field Values

### RESOURCE_LOADER_INSTANCE

static final String RESOURCE_LOADER_INSTANCE
Resource loader instance property suffix

See Also:
  - Constant Field Values

### RESOURCE_LOADER_CACHE

static final String RESOURCE_LOADER_CACHE
Resource loader cache property suffix

See Also:
  - Constant Field Values

### RESOURCE_LOADER_PATHS

static final String RESOURCE_LOADER_PATHS
File resource loader paths property suffix

See Also:
  - Constant Field Values

### RESOURCE_LOADER_CHECK_INTERVAL

static final String RESOURCE_LOADER_CHECK_INTERVAL
Resource loader modification check interval property suffix

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_DATASOURCE_URL

static final String DS_RESOURCE_LOADER_DATASOURCE_URL
Datasource loader datasource url

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_DATASOURCE

@Deprecated static final String DS_RESOURCE_LOADER_DATASOURCE
Deprecated.
Use `DS_RESOURCE_LOADER_DATASOURCE_URL` instead.

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_TABLE

static final String DS_RESOURCE_LOADER_TABLE
Datasource loader templates table

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_KEY_COLUMN

static final String DS_RESOURCE_LOADER_KEY_COLUMN
Datasource loader template key column

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_TEMPLATE_COLUMN

static final String DS_RESOURCE_LOADER_TEMPLATE_COLUMN
Datasource loader template content column

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_TIMESTAMP_COLUMN

static final String DS_RESOURCE_LOADER_TIMESTAMP_COLUMN
Datasource loader template timestamp column

See Also:
  - Constant Field Values

### DS_RESOURCE_LOADER_STMT_POOL_MAX_SIZE

static final String DS_RESOURCE_LOADER_STMT_POOL_MAX_SIZE
Datasource loader statements pool max size

See Also:
  - Constant Field Values

### INPUT_ENCODING

static final String INPUT_ENCODING
The default character encoding for the templates. Used by the parser in processing the input streams.

See Also:
  - Constant Field Values

### ENCODING_DEFAULT

static final String ENCODING_DEFAULT
Default Encoding is UTF-8.

See Also:
  - Constant Field Values

### EVENTHANDLER_REFERENCEINSERTION

static final String EVENTHANDLER_REFERENCEINSERTION
The `event_handler.reference_insertion.class` property specifies a list of the `ReferenceInsertionEventHandler` implementations to use.

See Also:
  - Constant Field Values

### EVENTHANDLER_METHODEXCEPTION

static final String EVENTHANDLER_METHODEXCEPTION
The `event_handler.method_exception.class` property specifies a list of the `MethodExceptionEventHandler` implementations to use.

See Also:
  - Constant Field Values

### EVENTHANDLER_INCLUDE

static final String EVENTHANDLER_INCLUDE
The `event_handler.include.class` property specifies a list of the `IncludeEventHandler` implementations to use.

See Also:
  - Constant Field Values

### EVENTHANDLER_INVALIDREFERENCES

static final String EVENTHANDLER_INVALIDREFERENCES
The `event_handler.invalid_references.class` property specifies a list of the `InvalidReferenceEventHandler` implementations to use.

See Also:
  - Constant Field Values

### EVENTHANDLER_INVALIDREFERENCES_QUIET

static final String EVENTHANDLER_INVALIDREFERENCES_QUIET
The `event_handler.invalid_references.quiet` property specifies if invalid quiet references (as in `$!foo`) trigger events (defaults to false). `InvalidReferenceEventHandler` implementations to use.

Since:
  2.2
See Also:
  - Constant Field Values

### EVENTHANDLER_INVALIDREFERENCES_NULL

static final String EVENTHANDLER_INVALIDREFERENCES_NULL
The `event_handler.invalid_references.null` property specifies if invalid null references (aka the value is present in the context or parent object but is null or a method returned null) trigger invalid reference events (defaults to false). `InvalidReferenceEventHandler` implementations to use.

Since:
  2.2
See Also:
  - Constant Field Values

### EVENTHANDLER_INVALIDREFERENCES_TESTED

static final String EVENTHANDLER_INVALIDREFERENCES_TESTED
The `event_handler.invalid_references.tested` property specifies if invalid tested references (as in `#if($foo)` ) trigger invalid reference events (defaults to false). `InvalidReferenceEventHandler` implementations to use.

Since:
  2.2
See Also:
  - Constant Field Values

### VM_LIBRARY

static final String VM_LIBRARY
Filename of local Velocimacro library template.

See Also:
  - Constant Field Values

### VM_LIBRARY_DEFAULT

static final String VM_LIBRARY_DEFAULT
Default Velocimacro library template.

See Also:
  - Constant Field Values

### VM_LIBRARY_AUTORELOAD

static final String VM_LIBRARY_AUTORELOAD
switch for autoloading library-sourced VMs (for development).

See Also:
  - Constant Field Values

### VM_PERM_ALLOW_INLINE

static final String VM_PERM_ALLOW_INLINE
boolean (true/false) default true: allow inline (in-template) macro definitions.

See Also:
  - Constant Field Values

### VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL

static final String VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL
boolean (true/false) default false: allow inline (in-template) macro definitions to replace existing.

See Also:
  - Constant Field Values

### VM_PERM_INLINE_LOCAL

static final String VM_PERM_INLINE_LOCAL
Switch for forcing inline macros to be local: default false.

See Also:
  - Constant Field Values

### VM_ARGUMENTS_STRICT

static final String VM_ARGUMENTS_STRICT
if true, throw an exception for wrong number of arguments

See Also:
  - Constant Field Values

### VM_ENABLE_BC_MODE

static final String VM_ENABLE_BC_MODE
This flag enable the 1.7 backward compatible mode for velocimacros (defaults to false):

- preserve argument literals: when displaying null or invalid non-quiet references, use the argument literal reference instead of the one in the macro block. Defaults to false.
- use global values for missing arguments: when calling a macro with fewer arguments than declared, if those arguments don't have an explicit default value in the macro definition, default values will be looked for in the global context

Since:
  2.2
See Also:
  - Constant Field Values

### VM_MAX_DEPTH

static final String VM_MAX_DEPTH
Specify the maximum depth for macro calls

Since:
  1.6
See Also:
  - Constant Field Values

### VM_BODY_REFERENCE

static final String VM_BODY_REFERENCE
Defines name of the reference that can be used to get the AST block passed to block macro calls.

Since:
  1.7
See Also:
  - Constant Field Values

### VM_MESSAGES_ON

@Deprecated static final String VM_MESSAGES_ON
Deprecated.
since 2.1

Switch for VM blather: default true. Unused since 2.0.

See Also:
  - Constant Field Values

### RUNTIME_REFERENCES_STRICT

static final String RUNTIME_REFERENCES_STRICT
Properties referenced in the template are required to exist the object

See Also:
  - Constant Field Values

### RUNTIME_REFERENCES_STRICT_ESCAPE

static final String RUNTIME_REFERENCES_STRICT_ESCAPE
Indicates we are going to use modified escape behavior in strict mode

See Also:
  - Constant Field Values

### UBERSPECT_CLASSNAME

static final String UBERSPECT_CLASSNAME
key name for uberspector. Multiple classnames can be specified,in which case uberspectors will be chained.

See Also:
  - Constant Field Values

### INTROSPECTOR_RESTRICT_PACKAGES

static final String INTROSPECTOR_RESTRICT_PACKAGES
A comma separated list of packages to restrict access to in the SecureIntrospector.

See Also:
  - Constant Field Values

### INTROSPECTOR_RESTRICT_CLASSES

static final String INTROSPECTOR_RESTRICT_CLASSES
A comma separated list of classes to restrict access to in the SecureIntrospector.

See Also:
  - Constant Field Values

### CONVERSION_HANDLER_CLASS

static final String CONVERSION_HANDLER_CLASS
key for Conversion Manager class

See Also:
  - Constant Field Values

### CONVERSION_HANDLER_INSTANCE

static final String CONVERSION_HANDLER_INSTANCE
key for Conversion Manager instance

See Also:
  - Constant Field Values

### PARSER_CLASS

static final String PARSER_CLASS
Property specifying the parser class to use

Since:
  2.2
See Also:
  - Constant Field Values

### DEFAULT_PARSER_CLASS

static final String DEFAULT_PARSER_CLASS
Default parser class

Since:
  2.2
See Also:
  - Constant Field Values

### PARSER_POOL_CLASS

static final String PARSER_POOL_CLASS
The `parser.pool.class` property specifies the name of the `SimplePool` implementation to use.

See Also:
  - Constant Field Values

### PARSER_POOL_SIZE

static final String PARSER_POOL_SIZE

See Also:
  - `NUMBER_OF_PARSERS`
  - Constant Field Values

### PARSER_HYPHEN_ALLOWED

static final String PARSER_HYPHEN_ALLOWED
Allow hyphen in identifiers (backward compatibility option)

Since:
  2.1
See Also:
  - Constant Field Values

### RUNTIME_STRING_INTERNING

static final String RUNTIME_STRING_INTERNING
Whether to use string interning.

See Also:
  - Constant Field Values

### INTERPOLATE_STRINGLITERALS

static final String INTERPOLATE_STRINGLITERALS
Switch for the interpolation facility for string literals.

See Also:
  - Constant Field Values

### IMMUTABLE_RANGES

static final String IMMUTABLE_RANGES
Switch for the immutability of integer ranges.

See Also:
  - Constant Field Values

### STRICT_MATH

static final String STRICT_MATH
Switch for ignoring nulls in math equations vs throwing exceptions.

See Also:
  - Constant Field Values

### CONTEXT_AUTOREFERENCE_KEY

static final String CONTEXT_AUTOREFERENCE_KEY
Key upon which a context should be accessible within itself

See Also:
  - Constant Field Values

### SPACE_GOBBLING

static final String SPACE_GOBBLING
Space gobbling mode

Since:
  2.0
See Also:
  - Constant Field Values

### DEFAULT_RUNTIME_PROPERTIES

static final String DEFAULT_RUNTIME_PROPERTIES
Default Runtime properties.

See Also:
  - Constant Field Values

### DEFAULT_RUNTIME_DIRECTIVES

static final String DEFAULT_RUNTIME_DIRECTIVES
Default Runtime properties.

See Also:
  - Constant Field Values

### DEFAULT_RUNTIME_LOG_NAME

static final String DEFAULT_RUNTIME_LOG_NAME
externally provided logger name.

See Also:
  - Constant Field Values

### RESOURCE_LOADER_IDENTIFIER

static final String RESOURCE_LOADER_IDENTIFIER
token used to identify the loader internally.

See Also:
  - Constant Field Values

### NUMBER_OF_PARSERS

static final int NUMBER_OF_PARSERS
The default number of parser instances to create. Configurable via the parameter named by the `PARSER_POOL_SIZE` constant.

See Also:
  - Constant Field Values